# This is the makefile for the optimization of leaf A curves
# name of executable
ALL   = mathtest

# compiler options
ifeq ($(COMPILER),INTEL)    # if compiler is Intel
	FF = ifort
	FOPTS = -g
else
	# Default to PGI Compilers 
	FF    = pgf90 
	FOPTS = -g -Mbounds
endif


VPATH = ../math/othersupmath:../math/algebra:../math/optimization:../math/nonlinsystems


# Define objects

OBJS =  testexample.o fixedpoint.o nonsyssolver.o supmath.o adsor.o\
        bookkeeping.o broydn.o nongradopt.o CompassSearch.o powell.o\
        
   
        
$(ALL):	        $(OBJS) 
	        $(FF) $(FOPTS) $(OBJS) -o $@
	
.f.o:	
		$(FF) -c $(FOPTS) $<

depend:
	/usr/bin/X11/makedepend -- $(CFLAGS) -- $(SRCS)
